package domain


type AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO struct {
    /*
        退款原因id     */
    ReasonId  *int64 `json:"reason_id,omitempty" `

    /*
        渠道订单ID     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        商家经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        请求唯一键     */
    RequestId  *string `json:"request_id,omitempty" `

    /*
        申请退款的子订单ID列表     */
    SubRefundOrders  *[]AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO `json:"sub_refund_orders,omitempty" `

    /*
        备注说明     */
    Memo  *string `json:"memo,omitempty" `

    /*
        渠道来源     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        申请退款金额     */
    RefundFee  *int64 `json:"refund_fee,omitempty" `

    /*
        申请退运费     */
    RefundDeliveryFee  *int64 `json:"refund_delivery_fee,omitempty" `

    /*
        申请退包装费     */
    RefundPackageFee  *int64 `json:"refund_package_fee,omitempty" `

    /*
        申请退款原因     */
    RefundReason  *string `json:"refund_reason,omitempty" `

}

func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetReasonId(v int64) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.ReasonId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetOutOrderId(v string) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetStoreId(v string) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.StoreId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetRequestId(v string) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.RequestId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetSubRefundOrders(v []AlibabaTclsAelophyRefundCsapplyNewCsApplySubOrderDTO) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.SubRefundOrders = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetMemo(v string) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.Memo = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetOrderFrom(v int64) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetRefundFee(v int64) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.RefundFee = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetRefundDeliveryFee(v int64) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.RefundDeliveryFee = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetRefundPackageFee(v int64) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.RefundPackageFee = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) SetRefundReason(v string) *AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO {
    s.RefundReason = &v
    return s
}
